Summary: Basic Local Alignment and Search Tool.
Name: ncbitools
Version: 6.1.0
Release: 2
Copyright: ncbi toolbox is free, mpiBLAST is GPL
Group: Callident/BioBrew
Packager: BlackJack/gotero
Vendor: NCBI/LANL
Source: ncbi.tar.gz 
Source1: mpiblast-1.3.0.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
BLAST (Basic Local Alignment Search Tool) is a set of similarity
search programs designed to explore all of the available sequence
databases regardless of whether the query is protein or DNA. The BLAST
programs have been designed for speed, with a minimal sacrifice of
sensitivity to distant sequence relationships. The scores assigned in
a BLAST search have a well-defined statistical interpretation, making
real matches easier to distinguish from random background hits. BLAST
uses a heuristic algorithm which seeks local as opposed to global
alignments and is therefore able to detect relationships among
sequences which share only isolated regions of similarity (Altschul et
al., 1990). (from http://www.ncbi.nlm.nih.gov/BLAST/blast_overview.html)

%prep
%setup -n ncbi
%setup -n ncbi -D -T -a 1


%build
cd ..
patch -p0 < ./ncbi/mpiblast-1.3.0/ncbi_Oct2004_evalue.patch
./ncbi/make/makedis.csh

cd ncbi/mpiblast-1.3.0
./configure --with-ncbi=$RPM_BUILD_DIR/ncbi  --prefix=$RPM_BUILD_ROOT/opt/BioBrew/NCBI/%{version} --enable-mpe

%install
cd ..
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/NCBI/%{version}
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/NCBI/db
mkdir -p $RPM_BUILD_ROOT/opt/BioBrew/modulefiles/NCBI

cp -rf ./ncbi/{bin,doc,include,lib,data} $RPM_BUILD_ROOT/opt/BioBrew/NCBI/%{version}

cd ncbi/mpiblast-1.3.0
make install

%post
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
/opt/BioBrew

%changelog
* Mon Dec 20 2004  gotero
- upgraded mpiBLAST and ncbi toolbox
* Fri May 23 2003  BlackJack
- initial spec file
